<?xml version="1.0"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           targetNamespace="https://www.spiralarms.org"
           xmlns="https://www.spiralarms.org"
           elementFormDefault="qualified">

    <xs:element name="employee">
        <xs:complexType>
            <xs:simpleContent>
                <xs:extension base="xs:string">
                    <xs:attribute name="type" type="xs:string"/>
                    <xs:attribute name="salary" type="xs:decimal"/>
                    <xs:attribute name="yearsEmployed" type="xs:integer"/>
                </xs:extension>
            </xs:simpleContent>
        </xs:complexType>
    </xs:element>

    <xs:element name="employees">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="employee" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="department">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="employees"/>
            </xs:sequence>
            <xs:attribute name="name" type="xs:string"/>
        </xs:complexType>
    </xs:element>

    <xs:element name="departments">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="department" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>

    <xs:element name="company">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="departments"/>
            </xs:sequence>
            <xs:attribute name="name" type="xs:string"/>
        </xs:complexType>
    </xs:element>
</xs:schema>